<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.TxnSnapshot Field
DatabaseEnvironmentConfig Class See Also Send Feedback

If true, all transactions in the environment will be started as if Snapshot were passed to BeginTransaction()()(), and all non-transactional cursors will be opened as if SnapshotIsolation were passed to Cursor()()().

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool TxnSnapshot

Visual Basic (Declaration)

    Public TxnSnapshot As Boolean

Visual C++

    public:
    bool TxnSnapshot

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace